## fedmsg 0.7.1

=== doc/requirements.txt ===
cloud_sptheme
pyzmq-static
fedmsg_meta_fedora_infrastructure>=0.1.2
nose

=== debian/changelog ===
fedmsg (0.7.1-1) unstable; urgency=low

  [ Simon Chopin ]
  * New upstream release
  * Run the tests at build time
    + Added a patch to work around a missing symlink for the test certificates

  [ Nicolas Dandrimont ]
  * Add myself to uploaders
  * Drop requirement on python-fabulous

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 05 Oct 2013 11:37:16 +0200

fedmsg (0.6.8+git20130813.1.60346e0-2) unstable; urgency=low

  * Team upload.
  * Remove reference to the non-main Google web fonts, recommend the
    Debian-packaged font instead.

 -- Nicolas Dandrimont <olasd@debian.org>  Tue, 13 Aug 2013 23:47:52 +0200

fedmsg (0.6.8+git20130813.1.60346e0-1) unstable; urgency=low

  * Initial release. (Closes: #705953)

 -- Simon Chopin <chopin.simon@gmail.com>  Tue, 13 Aug 2013 20:48:02 +0200

=== debian/control ===
Source: fedmsg
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Simon Chopin <chopin.simon@gmail.com>, Nicolas Dandrimont <olasd@debian.org>
Build-Depends:
 debhelper (>= 9),
 help2man,
 python-all (>= 2.6.6-3~),
 python-setuptools,
 python-zmq,
 python-kitchen,
 python-moksha.hub (>= 1.2.0),
 python-requests,
 python-pygments,
 python-m2crypto,
 python-m2ext,
 python-nose,
 python-mock,
 python-six,
 python-sqlalchemy,
 python-sphinx (>= 1.0.7+dfsg),
 python-twisted
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
Homepage: http://fedmsg.com/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/fedmsg/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/fedmsg/trunk/

Package: python-fedmsg
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-zmq (>= 2.2.0.1), python-setuptools
Recommends: python-m2crypto, python-m2ext, python-sqlalchemy
Suggests: python-fedmsg-doc
Description: Fedora messaging infrastructure system
 fedmsg (Fedora Messaging) is a Python package and API used within the Fedora
 infrastructure to send and receive messages to and from applications in order
 to allow for asynchronous processes.

Package: python-fedmsg-doc
Section: doc
Recommends: python-fedmsg
Suggests: fonts-comfortaa
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Fedora messaging infrastructure system documentation
 fedmsg (Fedora Messaging) is a Python package and API used within the Fedora
 infrastructure to send and receive messages to and from applications in order
 to allow for asynchronous processes.
 .
 This package provides the documentation for the API.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM = $(shell dpkg-parsechangelog | egrep '^Version: ' | cut -d ' ' -f 2- | cut -d '-' -f 1)

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR) sphinx-build doc/ doc/_build/html

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/etc/
	cp -r fedmsg.d debian/tmp/etc/
	mkdir -p debian/tmp/usr/share/fedmsg/
	cp -r extras initsys debian/tmp/usr/share/fedmsg
	chmod +x debian/tmp/usr/share/fedmsg/initsys/sysv/*
	rm debian/tmp/usr/lib/python2*/dist-packages/fedmsg*.egg-info/SOURCES.txt

override_dh_installman:
	mkdir -p debian/tmp/manpages
	set -e; \
	for s in $(shell ls debian/tmp/usr/bin); do \
		PYTHONPATH="$(shell pwd)" help2man -n "Manpages for the fedmsg suite" --version-string="$(UPSTREAM)" debian/tmp/usr/bin/$$s > debian/tmp/manpages/$$s.1; \
	done
	dh_installman -ppython-fedmsg debian/tmp/manpages/*

override_dh_install:
	dh_install --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/_build/

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.rst

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for py in $(shell pyversions -r); do \
	 	$$py setup.py test ; \
	done
endif

get-orig-source:
	git clone --bare git://github.com/fedora-infra/fedmsg.git fedmsg-orig.git
	git --git-dir=fedmsg-orig.git archive $(shell echo $(UPSTREAM) | cut -d + -f 2  | cut -d . -f 3) | gzip > ../fedmsg_$(UPSTREAM).orig.tar.gz
	rm -rf fedmsg-orig.git

=== debian/watch ===
version=3

https://pypi.python.org/packages/source/f/fedmsg/fedmsg-(.+).tar.gz

## fedmsg 0.8.0

=== debian/changelog ===
fedmsg (0.8.0-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Refresh mock-related patch

 -- Nicolas Dandrimont <olasd@debian.org>  Tue, 26 Aug 2014 10:17:52 -0700

fedmsg (0.8.0-2) unstable; urgency=high

  * Fix init scripts so that the daemons really get launched (Closes: #752895)

 -- Nicolas Dandrimont <olasd@debian.org>  Sun, 13 Jul 2014 10:30:13 +0200

fedmsg (0.8.0-1) unstable; urgency=medium

  * New upstream release
    - Drop twitter-related workarounds as twitter was removed upstream
  * Add GPG signature verification to debian/watch
  * Update d/copyright

 -- Nicolas Dandrimont <olasd@debian.org>  Sun, 11 May 2014 18:54:55 +0200

fedmsg (0.7.7-1) unstable; urgency=medium

  * New upstream release
  * Update the fedmsg-tail manpage to match the upstream changes

 -- Nicolas Dandrimont <olasd@debian.org>  Sun, 30 Mar 2014 20:03:33 +0200

fedmsg (0.7.6-2) unstable; urgency=medium

  * Add missing depends on adduser for the packages that add the fedmsg
    user in postinst

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 29 Mar 2014 08:07:30 +0100

fedmsg (0.7.6-1) unstable; urgency=medium

  * New upstream release (Closes: #738058)
    - Refresh patches for new upstream release
  * Switch buildsystem to pybuild
  * Replace help2man'd manpages with hand-written ones (Closes: #733569)
  * Bump Standards-Version to 3.9.5 (no changes)
  * Introduce new binary packages fedmsg{,-gateway,-relay,-hub,-irc}
  * Ship initscripts and systemd unit files for the daemons

 -- Nicolas Dandrimont <olasd@debian.org>  Sun, 09 Mar 2014 03:04:56 +0100

=== debian/control ===
Source: fedmsg
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Simon Chopin <chopin.simon@gmail.com>,
           Nicolas Dandrimont <olasd@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               python-all (>= 2.6.6-3~),
               python-cloud-sptheme,
               python-kitchen,
               python-m2crypto,
               python-m2ext,
               python-mock,
               python-moksha.hub (>= 1.3.0),
               python-nose,
               python-pygments,
               python-requests,
               python-setuptools,
               python-six,
               python-sphinx (>= 1.0.7+dfsg),
               python-sqlalchemy,
               python-twisted,
               python-zmq
Standards-Version: 3.9.5
X-Python-Version: >= 2.7
Homepage: http://fedmsg.com/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/fedmsg/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/fedmsg/trunk/

Package: python-fedmsg
Architecture: all
Depends: python-moksha.hub (>= 1.3.0),
         python-setuptools,
         python-six,
         python-zmq (>= 2.2.0.1),
         ${misc:Depends},
         ${python:Depends}
Recommends: python-m2crypto, python-m2ext, python-sqlalchemy
Suggests: fedmsg, python-fedmsg-doc
Description: Fedora messaging infrastructure system
 fedmsg (Fedora Messaging) is a Python package and API used within the Fedora
 infrastructure to send and receive messages to and from applications in order
 to allow for asynchronous processes.
 .
 This package provides the fedmsg Python module, allowing native integration
 of fedmsg functionality in Python applications.

Package: python-fedmsg-doc
Section: doc
Recommends: python-fedmsg
Suggests: fonts-comfortaa
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Fedora messaging infrastructure system documentation
 fedmsg (Fedora Messaging) is a Python package and API used within the Fedora
 infrastructure to send and receive messages to and from applications in order
 to allow for asynchronous processes.
 .
 This package provides the documentation for the fedmsg Python package.

Package: fedmsg-hub
Architecture: all
Depends: adduser,
         python-fedmsg (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Breaks: python-fedmsg (<< 0.7.6-1~)
Replaces: python-fedmsg (<< 0.7.6-1~)
Description: Fedora messaging infrastructure system - receiving hub daemon
 fedmsg (Fedora Messaging) is a Python package and API used within the Fedora
 infrastructure to send and receive messages to and from applications in order
 to allow for asynchronous processes.
 .
 This package contains the fedmsg-hub daemon, that provides a pluggable
 infrastructure for listening to the fedmsg bus on a system.

Package: fedmsg-relay
Architecture: all
Depends: adduser,
         python-fedmsg (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Breaks: python-fedmsg (<< 0.7.6-1~)
Replaces: python-fedmsg (<< 0.7.6-1~)
Description: Fedora messaging infrastructure system - sender relay daemon
 fedmsg (Fedora Messaging) is a Python package and API used within the Fedora
 infrastructure to send and receive messages to and from applications in order
 to allow for asynchronous processes.
 .
 This package contains the fedmsg-relay daemon, that provides a single,
 persistent output endpoint for messages sent to the bus by ephemeral
 processes on a system.

Package: fedmsg-gateway
Architecture: all
Depends: adduser,
         python-fedmsg (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Breaks: python-fedmsg (<< 0.7.6-1~)
Replaces: python-fedmsg (<< 0.7.6-1~)
Description: Fedora messaging infrastructure system - gateway daemon
 fedmsg (Fedora Messaging) is a Python package and API used within the Fedora
 infrastructure to send and receive messages to and from applications in order
 to allow for asynchronous processes.
 .
 This package contains the fedmsg-gateway daemon, that aggregates and
 broadcasts the messages received from several incoming endpoints on a
 single outgoing endpoint.

Package: fedmsg-irc
Architecture: all
Depends: adduser,
         python-fedmsg (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Breaks: python-fedmsg (<< 0.7.6-1~)
Replaces: python-fedmsg (<< 0.7.6-1~)
Description: Fedora messaging infrastructure system - IRC bot
 fedmsg (Fedora Messaging) is a Python package and API used within the Fedora
 infrastructure to send and receive messages to and from applications in order
 to allow for asynchronous processes.
 .
 This package contains the fedmsg-irc bot, that sends messages received
 on the bus to an IRC channel.

Package: fedmsg
Architecture: all
Depends: python-fedmsg (= ${binary:Version}), ${misc:Depends}, ${python:Depends}
Breaks: python-fedmsg (<< 0.7.6-1~)
Replaces: python-fedmsg (<< 0.7.6-1~)
Description: Fedora messaging infrastructure system - general utilities
 fedmsg (Fedora Messaging) is a Python package and API used within the Fedora
 infrastructure to send and receive messages to and from applications in order
 to allow for asynchronous processes.
 .
 This package contains the following utilities:
  - fedmsg-announce: send an announcement to the fedmsg bus
  - fedmsg-collectd: a collectd plugin feeding off fedmsg messages
  - fedmsg-config: aggregate and dump the fedmsg config to stdout
  - fedmsg-logger: send a message to the fedmsg bus from the command-line
  - fedmsg-tail: read messages on the fedmsg bus from the command-line
  - fedmsg-trigger: trigger a command on receiving an event on the fedmsg bus

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM = $(shell dpkg-parsechangelog | egrep '^Version: ' | cut -d ' ' -f 2- | cut -d '-' -f 1)

%:
	dh $@ --with python2,sphinxdoc,systemd --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR) sphinx-build doc/ doc/_build/html

override_dh_auto_install:
	dh_auto_install

	# Grab the fedmsg config
	mkdir -p debian/tmp/etc/
	cp -r fedmsg.d debian/tmp/etc/

	# Install the extras
	mkdir -p debian/tmp/usr/share/fedmsg/
	cp -r extras debian/tmp/usr/share/fedmsg

	# useless SOURCES.txt files
	rm debian/tmp/usr/lib/python2*/dist-packages/fedmsg*.egg-info/SOURCES.txt

override_dh_install:
	dh_install --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/_build/
	rm -rf fedmsg/tests/fedmsg.d/

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.rst

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cp -r fedmsg.d fedmsg/tests/
	dh_auto_test
endif

get-orig-source:
	git clone --bare git://github.com/fedora-infra/fedmsg.git fedmsg-orig.git
	git --git-dir=fedmsg-orig.git archive $(shell echo $(UPSTREAM) | cut -d + -f 2  | cut -d . -f 3) | gzip > ../fedmsg_$(UPSTREAM).orig.tar.gz
	rm -rf fedmsg-orig.git

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
https://pypi.python.org/packages/source/f/fedmsg/fedmsg-(.+).tar.gz

## fedmsg 0.9.3

=== doc/requirements.txt ===
cloud_sptheme
pyzmq-static
fedmsg_meta_fedora_infrastructure>=0.1.2
nose
requests

=== debian/changelog ===
fedmsg (0.9.3-2) unstable; urgency=medium

  * Update watch file for new pypi.debian.net redirector
  * Fix test running for new dh-python (Closes: #795391)

 -- Nicolas Dandrimont <olasd@debian.org>  Fri, 21 Aug 2015 13:54:51 +0200

fedmsg (0.9.3-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Install new command /usr/bin/fedmsg-dg-replay in the fedmsg binary

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 23 Aug 2014 08:49:21 -0700

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                python-mock,
                python-moksha.hub (>= 1.3.0),
                python-nose,
+               python-psutil,
                python-pygments,
                python-requests,
                python-setuptools,
@@ -128,7 +129,9 @@
 
 Package: fedmsg
 Architecture: all
-Depends: python-fedmsg (= ${binary:Version}), ${misc:Depends}, ${python:Depends}
+Depends: python-fedmsg (= ${binary:Version}),
+         ${misc:Depends},
+         ${python:Depends}
 Breaks: python-fedmsg (<< 0.7.6-1~)
 Replaces: python-fedmsg (<< 0.7.6-1~)
 Description: Fedora messaging infrastructure system - general utilities

=== debian/rules ===
--- 
+++ 
@@ -36,8 +36,10 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cp -r fedmsg.d fedmsg/tests/
-	dh_auto_test
+	cp -r fedmsg.d/ fedmsg/tests/
+	PYBUILD_SYSTEM=custom \
+	  PYBUILD_TEST_ARGS="{interpreter} setup.py test" \
+	  dh_auto_test
 endif
 
 get-orig-source:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/fedmsg/fedmsg-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
